const fs = require('fs')

module.exports = fs.existsSync('./local.config.js')
  ? require('./local.config.js')
  : {
      port: 3000,
      devServer: {
        proxy: {
          '/sso': {
            target: 'http://10.102.1.182:9000',
          },
          '/design': {
            target: 'http://10.102.1.182:9000',
          },
          '/holo': {
            target: 'http://10.102.1.182:9000',
          },
        },
        serve: [],
        build: [],
      },
    }

/**
 *
 * server 热启动的系统列表（调试用）
 * build  初次启动可以执行npm run build构建全部应用，后续如果没更新代码，相关系统可以不构建
 *
 * server、build可填入系统名称列表
 *
 * component
 * developer
 * identity
 * integration
 * management
 * monitoring
 * desktop
 *
 * build独有
 * cdn
 *
 */
